// strctfun.cpp -- funkce s parametrem typu struktura
#include <iostream>
#include <cmath>
using namespace std;

// ablony struktur
struct polar
{ 
	double distance;	// vzdlenost od potku
	double angle;		// smr od potku
};
struct rect
{ 
	double x;			// horizontln vzdlenost od potku
	double y;			// vertikln vzdlenost od potku
};

// prototypy
polar rect_to_polar(rect xypos);
void show_polar(polar dapos);

int main()
{ 
	rect rplace;
	polar pplace;

	cout << "Zadejte hodnoty x a y: ";
	while (cin >> rplace.x >> rplace.y)	// hledn pouit cin
	{ 
		pplace = rect_to_polar(rplace);
		show_polar(pplace);
		cout << "Dalsi dve cisla (q na ukoceni): ";
	}
	cout << "Hotovo!\n";
	return 0;
} 

// konvertuje pravohl souadnice na polrn
polar rect_to_polar(rect xypos)
{ 
	polar answer;
	answer.distance =
		sqrt( xypos.x * xypos.x + xypos.y * xypos.y);
	answer.angle = atan2(xypos.y, xypos.x);
	return answer; // vrac strukturu polar
}

// zobrazen polrnch souadnic spolu s konverz hlu na stupn
void show_polar (polar dapos)
{ 
	const double Rad_to_deg = 57.29577951;
	cout << "vzdalenost = " << dapos.distance;
	cout << ", uhel = " << dapos.angle * Rad_to_deg;
	cout << " stupnu\n";
}
