// fun_ptr.cpp -- ukazatele na funkce
#include <iostream>
using namespace std;
double betsy(int);
double pam(int);

// druh argument je ukazatel na funkci typu double,
// kter pebr argument typu int
void estimate(int lines, double (*pf)(int));

int main()
{
	int code;
	cout << "Kolik radku programoveho kodu potrebujete? ";
	cin >> code;
	cout << "Tady je odhad od Betsy:\n";
	estimate(code, betsy);
	cout << "Tady je odhad od Pam:\n";
	estimate(code, pam);
	return 0;
}

double betsy(int lns)
{
	return 0.05 * lns;
}

double pam(int lns)
{
	return 0.03 * lns + 0.0004 * lns * lns;
}

void estimate(int lines, double (*pf)(int))
{
	cout << lines << " radku zabere ";
	cout << (*pf)(lines) << " hodin\n";
}
