// namesp.cpp -- jmenn prostory
#include <iostream>
using namespace std;
#include "namesp.h"

namespace osoby
{
	void vlozOsobu(Osoba & ro)
	{
		cout << "Zadejte krestni jmeno: ";
		cin >> ro.jmeno;
		cout << "Zadejte prijmeni: ";
		cin >> ro.prijmeni;
	}
	void ukazOsobu(const Osoba & ro)
	{
		cout << ro.prijmeni << ", " << ro.jmeno;
	}
}

namespace dluhy
{
	using namespace osoby;

	void vlozDluh(Dluh & rd)
	{
		vlozOsobu(rd.veritel);
		cout << "Zadejte dluh: ";
		cin >> rd.mnozstvi;
	}

	void ukazDluh(const Dluh & rd)
	{
		ukazOsobu(rd.veritel);
		cout << ": " << rd.mnozstvi << " Kc" << endl;
	}

	double sectiDluhy(const Dluh ar[], int n)
	{
		double celkem = 0;
		for (int i = 0; i < n; i++)
			celkem += ar[i].mnozstvi;
		return celkem;
	}
}

