// stocks.cpp -- cel program
#include <iostream>
using namespace std;
#include <cstdlib> // --nebo stdlib.h--pro exit()
#include <cstring> // --nebo string.h--pro strncpy()

class Stock
{
private:
	char company[30];
	int shares;
	double share_val;
	double total_val;
	void set_tot() { total_val = shares * share_val; }
public:
	void acquire(const char * co, int n, double pr);
	void buy(int num, double price);
	void sell(int num, double price);
	void update(double price);
	void show();
};


void Stock::acquire(const char * co, int n, double pr)
{
	strncpy(company, co, 29); // zkrcen promnn co vppad poteby
	company[29] = '\0';
	shares = n;
	share_val = pr;
	set_tot();
}

void Stock::buy(int num, double price)
{
	shares += num;
	share_val = price;
	set_tot();
}
void Stock::sell(int num, double price)
{
	if (num > shares)
	{
		cerr << "Nemuzete prodat vic nez mate!\n";
		exit(1);
	}
	shares -= num;
	share_val = price;
	set_tot();
}

void Stock::update(double price)
{
	share_val = price;
	set_tot();
}
void Stock::show()
{
	cout << "Spolecnost: " << company
		 << " Pocet akcii: " << shares << '\n'
		 << " Cena akcie: " << share_val
		 << " Kc Celkova cena: " << total_val << " Kc\n";
}

int main()
{
	Stock stock1;
	stock1.acquire("NanoSmart", 20, 12.50);
	cout.precision(2);					// formt #.##
	cout.setf(ios_base::fixed);			// formt #.##
	cout.setf(ios_base::showpoint);		// formt #.##
	stock1.show();
	stock1.buy(15, 18.25);
	stock1.show();
	return 0;
}
