// stock2.cpp		// metody tdy Stock
#include <iostream>
using namespace std;
#include <cstdlib>	// pro exit()
#include <cstring>	// pro strcpy()
#include "stock2.h"

// konstruktory
Stock::Stock()
{
	strcpy(company, "spolecnost");
	shares = 0;
	share_val = 0.0;
	total_val = 0.0;
}

Stock::Stock(const char * co, int n, double pr)
{
	strcpy(company, co);
	shares = n;
	share_val = pr;
	set_tot();
}

void Stock::buy(int num, double price)
{
	shares += num;
	share_val = price;
	set_tot();
}

void Stock::sell(int num, double price)
{
	if (num > shares)
	{
		cerr << "Nemuzete prodat vic nez mate!\n";
		exit(1);
	}
	shares -= num;
	share_val = price;
	set_tot();
}

void Stock::update(double price)
{
	share_val = price;
	set_tot();
}

void Stock::show() const
{
	cout << "Spolecnost: " << company
		 << " Pocet akcii: " << shares << '\n'
		 << " Cena akcie: " << share_val
		 << " Kc Celkova cena: " << total_val << " Kc\n";
}

const Stock & Stock::topval(const Stock & s) const
{
	if (s.total_val > total_val)
		return s;
	else
		return *this;
}
