// vector.h -- Tda Vector s opertorem << a reimem stavu (mode)
#ifndef _VECTOR_H_
#define _VECTOR_H_

class Vector
{
private:
	double x;		// hodnota horizontln souadnice
	double y;		// hodnota vertikln souadnice
	double mag;		// dlka vektoru
	double ang;		// smr vektoru
	char mode;		// 'r' = pravohl (rectangular), 'p' = polrn (polar)
// soukrom metody pro nastaven hodnot
	void set_mag();
	void set_ang();
	void set_x();
	void set_y();
public:
	Vector();
	Vector(double n1, double n2, char form = 'r');
	void set(double n1, double n2, char form = 'r');
	~Vector();
	double xval() const {return x;}		// vrac hodnotu x
	double yval() const {return y;}		// vrac hodnotu y
	double magval() const {return mag;}	// vrac velikost
	double angval() const {return ang;}	// vrac hel
	void polar_mode();					// nastav reim na 'p'
	void rect_mode();					// nastav reim na 'r'
// funkce pro peten opertor
	Vector operator+(const Vector & b) const;
	Vector operator-(const Vector & b) const;
	Vector operator-() const;
	Vector operator*(double n) const;
// sptelen funkce
	friend Vector operator*(double n, const Vector & a);
	friend ostream& operator<<(ostream& os, const Vector & v);
};
#endif
