// stonewt.h -- definice tdy Stonewt
#ifndef _STONEWT_H_
#define _STONEWT_H_
class Stonewt
{
private:
	enum {Lbs_per_stn = 14};		// poet liber na jeden kmen
	int stone;						// vha v celch kamenech
	double pds_left;				// zbytek vhy v librch
	double pounds;					// celkov vha v librch
public:
	Stonewt(double lbs);			// konstruktor typu double pro libry
	Stonewt(int stn, double lbs);	// konstruktor pro kameny, libry
	Stonewt();						// implicitn konstruktor
	~Stonewt();
	void show_lbs() const;			// zobrazen vhy v librch
	void show_stn() const;			// zobrazen vhy v kamenech
};
#endif