// strng1.cpp -- metody tdy String
#include <iostream>
#include <cstring>					// nkdy string.h
#include "strng1.h"
using namespace std;

// inicializace statick poloky tdy
int String::num_strings = 0;

// metody tdy
String::String(const char * s)						// vytvo tdu String z etzce jazyka C
{
	len = strlen(s);								// nastav velikost
	str = new char[len + 1];						// pidl pam
	strcpy(str, s);									// inicializuje ukazatel
	num_strings++;									// nastav ta objekt
	cout << num_strings << ": \"" << str
	<< "\" objekt vytvoren\n";						// pro vai informaci (PVI)
}

String::String()									// implicitn konstruktor
{
	len = 4;
	str = new char[4];
	strcpy(str, "C++");								// implicitn etzec
	num_strings++;
	cout << num_strings << ": \"" << str
	<< "\" implicitni objekt vytvoren\n";			// PVI
}

String::~String()									// nutn destruktor
{
	cout << "\"" << str << "\" objekt zrusen, ";	// PVI
	--num_strings;									// nutn
	cout << num_strings << " zbyvaji\n";			// PVI
	delete [] str;									// nutn
}

ostream & operator<<(ostream & os, const String & st)
{
	os << st.str;
	return os;
}
