// bankacct.cpp -- metody tdy BankAccount
#include <iostream>
using namespace std;
#include "bankacct.h"
#include <cstring>

BankAccount::BankAccount(const char *s, long an, double bal)
{
	strncpy(fullName, s, MAX - 1);
	fullName[MAX - 1] = '\0';
	acctNum = an;
	balance = bal;
}

void BankAccount::Deposit(double amt)
{
	balance += amt;
}

void BankAccount::Withdraw(double amt)
{
	if (amt <= balance)
		balance -= amt;
	else
		cout << "Pozadovana castka " << amt
			 << " Kc prevysuje zustatek.\n"
			 << "Vyber stornovan.\n";
}

double BankAccount::Balance() const
{
	return balance;
}

void BankAccount::ViewAcct() const
{
	// nastav ###.## formt
	ios_base::fmtflags initialState =
	cout.setf(ios_base::fixed, ios_base::floatfield);
	cout.setf(ios_base::showpoint);
	cout.precision(2);
	cout << "Klient: " << fullName << endl;
	cout << "Cislo uctu: " << acctNum << endl;
	cout << "Zustatek: " << balance << " Kc" << endl;
	cout.setf(initialState); // obnov pvodn formt
}
