// bankdyn.cpp -- metody tdy BankAccountD
#include <iostream>
using namespace std;
#include "bankdyn.h"
#include <cstring>

BankAccountD::BankAccountD(const char *s, long an, double bal)
{
	fullName = new char[strlen(s) + 1];
	strcpy(fullName, s);
	acctNum = an;
	balance = bal;
}

BankAccountD::BankAccountD(const BankAccountD & ba)
{
	fullName = new char[strlen(ba.fullName) + 1];
	strcpy(fullName, ba.fullName);
	acctNum = ba.acctNum;
	balance = ba.balance;;
}

BankAccountD::~BankAccountD()
{
	delete [] fullName;
}

void BankAccountD::Deposit(double amt)
{
	balance += amt;
}

void BankAccountD::Withdraw(double amt)
{
	if (amt <= balance)
		balance -= amt;
	else
		cout << "Pozadovana castka " << amt
			 << " Kc prevysuje zustatek.\n"
			 << "Vyber stornovan.\n";
}

double BankAccountD::Balance() const
{
	return balance;
}

void BankAccountD::ViewAcct() const
{
	// nastav formt ###.##
	ios_base::fmtflags initialState =
	cout.setf(ios_base::fixed, ios_base::floatfield);
	cout.setf(ios_base::showpoint);
	cout.precision(2);
	cout << "Klient: " << fullName << endl;
	cout << "Cislo uctu: " << acctNum << endl;
	cout << "Zustatek: " << balance << " Kc" << endl;
	cout.setf(initialState); // obnov pvodn formt
}

BankAccountD & BankAccountD::operator=(const BankAccountD & ba)
{
	if (this == &ba)
		return *this;
	delete [] fullName;
	fullName = new char[strlen(ba.fullName) + 1];
	strcpy(fullName, ba.fullName);
	acctNum = ba.acctNum;
	balance = ba.balance;
	return *this;
}
