// tv.h -- tdy Tv a Remote
#ifndef _TV_H_
#define _TV_H_

class Tv
{
public:
	friend class Remote; // tda Remote me pistupovat k soukromm
	//stem tdy Tv
	enum State{Off, On};
	enum {MinVal,MaxVal = 20};
	enum {Antenna, Cable};
	enum {TV, VCR};

	Tv(State s = Off, int mc = 100) : state(s), volume(5),
		maxchannel(mc), channel(2), mode(Cable), input(TV) {}
	void onoff() {state = (state == On)? Off : On;}
	bool ison() const {return state == On;}
	bool volup();
	bool voldown();
	void chanup();
	void chandown();
	void set_mode() {mode = (mode == Antenna)? Cable : Antenna;}
	void set_input() {input = (input == TV)? VCR : TV;}
	void settings() const; // zobraz nastaven
private:
	State state;	// zapnuto nebo vypnuto
	int volume;		// hlasitost
	int maxchannel;	// maximln poet program
	int channel;	// aktuln nastaven program
	int mode;		// normln signl nebo kabel
	int input;		// TV nebo VCR
};

class Remote
{
private:
	int mode;		// ovldn TV nebo VCR
public:
	Remote(int m = Tv::TV) : mode(m) {}
	bool volup(Tv & t) { return t.volup();}
	bool voldown(Tv & t) { return t.voldown();}
	void onoff(Tv & t) { t.onoff(); }
	void chanup(Tv & t) {t.chanup();}
	void chandown(Tv & t) {t.chandown();}
	void set_chan(Tv & t, int c) {t.channel = c;}
	void set_mode(Tv & t) {t.set_mode();}
	void set_input(Tv & t) {t.set_input();}
};
#endif
