// strng2.cpp -- metody tdy String
#include <iostream>
#include <cstring>
using namespace std;
#include "strng2.h"

// metody tdy

	// vytvoen objektu tdy String z etzce jazyka C 
String::String(const char * s)
{
	len = strlen(s);
	str = new char[len + 1];		// pidl pam
	strcpy(str, s);					// inicializuje ukazatel
}

String::String()					// implicitn konstruktor
{
	len = 0;
	str = new char[1];
	str[0] = '\0';					// implicitn etzec
}

String::String(const String & st)	// koprovac konstruktor
{
	len = st.len;
	str = new char[len + 1];
	strcpy(str, st.str);
}

String::~String()					// destruktor
{
	delete [] str;					// nutn
}

	// piazen jednoho objektu tdy String druhmu
String & String::operator=(const String & st)
{
	if (this == &st)
		return *this;
	delete [] str;
	len = st.len;
	str = new char[len + 1];
	strcpy(str, st.str);
	return *this;
}

	// piazen etzce jazyka C objektu tdy String
String & String::operator=(const char * s)
{
	delete [] str;
	len = strlen(s);
	str = new char[len + 1];
	strcpy(str, s);
	return *this;
}

	// true jestlie st1 nsleduje v porovnvac posloupnosti za st2
bool operator>(const String &st1, const String &st2)
{
	if (strcmp(st1.str, st2.str) > 0)
		return true;
	else
		return false;
}

	// true jestlie st1 pedchz v porovnvac posloupnosti st2
bool operator<(const String &st1, const String &st2)
{
	if (strcmp(st1.str, st2.str) < 0)
		return true;
	else
		return false;
}

// ptel
	// true jestlie st1 je roven st2
bool operator==(const String &st1, const String &st2)
{
	if (strcmp(st1.str, st2.str) == 0)
		return true;
	else
		return false;
}

	// zobrazen etzce
ostream & operator<<(ostream & os, const String & st)
{
	os << st.str;
	return os;
}

// rychl a neist vstup etzce
istream & operator>>(istream & is, String & st)
{
	char temp[80];
	is.get(temp, 80);
	if (is)
		st = temp;
	while (is && is.get() != '\n')
		continue;
	return is;
}
