//error4.cpp
#include <iostream>
using namespace std;
#include <cmath>	// nebo math.h, uivatel systmu Unix mohou potebovat pepna -lm
double hmean(double a, double b) throw(char *);
double gmean(double a, double b) throw(char *);

int main()
{
	double x, y, z;
	cout << "Zadejte dve cisla: ";
	try {				// zatek pokusnho bloku
		while (cin >> x >> y)
		{
			z = hmean(x, y);
			cout << "Harmonicky prumer cisel " << x << " a " << y
				 << " je " << z << "\n";
			cout << "Geometricky prumer cisel " << x << " a " << y
				 << " je " << gmean(x, y) << "\n";
			cout << "Zadejte dalsi mnozinu cisel <k pro ukonceni>: ";
		}
	}					// konec pokusnho bloku
	catch (char * s)	// zatek zchytnho bloku
	{
		cout << s << "\n";
		cout << "Bohuzel, dal se nedostanete. ";
	}					// konec zchytnho bloku
	cout << "Nashledanou!\n";
	return 0;
}

double hmean(double a, double b) throw(char *)
{
	if (a == -b)
	throw "Neplatne parametry ve funkci hmean(): a = -b neni povoleno.";
	return 2.0 * a * b / (a + b);
}

double gmean(double a, double b) throw(char *)
{
	if (a < 0 || b < 0)
	throw "Neplatne parametry ve funkci gmean(): zaporne hodnoty nejsou povoleny.";
	return sqrt(a * b);
}
