// arraydbe.h -- definice tdy pro pole s pouitm vjimek
#ifndef _ARRAYDBE_H_
#define _ARRAYDBE_H_
#include <iostream>
using namespace std;

class ArrayDbE
{
private:
	unsigned int size;				// poet prvk pole
protected:
	double * arr;					// adresa prvnho prvku
public:
	class BadIndex					// tda vjimky oetujc patn index
	{
	public:
		int badindex;				// problematick hodnota indexu
		BadIndex(int i) : badindex(i) {}
	};
	ArrayDbE();						// bezparametrick konstruktor
	// vytvo pole ArrayDbE s n prvky nastavenmi na hodnotu val
	ArrayDbE(unsigned int n, double val = 0.0);
	// vytvo pole ArrayDbE s n prvky inicializovanmi podle prvk pole pn
	ArrayDbE(const double * pn, unsigned int n);
	// koprovac konstruktor
	ArrayDbE(const ArrayDbE & a);
	virtual ~ArrayDbE();			// destruktor
	unsigned int ArSize() const;	// vrt velikost pole
	double Average() const;			// vrt prmr hodnot v poli
// peten opertory
	// indexovn pole, piazen
	virtual double & operator[](int i) throw(BadIndex &);
	// indexovn pole
	virtual const double & operator[](int i) const throw(BadIndex &);
	ArrayDbE & operator=(const ArrayDbE & a);
	friend ostream & operator<<(ostream & os, const ArrayDbE & a);
};
#endif
