// limarre.cpp
#include "limarre.h"
#include <iostream>
using namespace std;

// chrnn metoda
	// doln mez je nyn low_bnd
	// horn mez je nyn 
void LimitArE::ok(int i) const throw(SonOfBad &)
{
	unsigned long size = ArSize();
	if (i < low_bnd || i >= low_bnd + size)
		throw SonOfBad(i, low_bnd, low_bnd + size - 1);
}

// pedefinovan opertory
double & LimitArE::operator [](int i)
{
	ok(i);
	return arr[i - low_bnd];
}

const double & LimitArE::operator [](int i) const
{
	ok(i);
	return arr[i - low_bnd];
}