// vect3.cpp -- pouit funkc ze standardn knihovny ablon
#include <iostream>
#include <string>
#include <vector>
#include <algorithm>
using namespace std;

struct Review {
	string title;
	int rating;
};

bool operator<(const Review & r1, const Review & r2);
bool worseThan(const Review & r1, const Review & r2);
bool FillReview(Review & rr);
void ShowReview(const Review & rr);
int main()
{
	vector<Review> books;
	Review temp;
	while (FillReview(temp))
		books.push_back(temp);
	cout << "Dekuji. Zadali jste nasledujici "
		 << books.size() << " hodnoceni:\n"
		 << "Znamka\tKniha\n";
	for_each(books.begin(), books.end(), ShowReview);

	sort(books.begin(), books.end());
	cout << "Trideni dle nazvu:\nZnamka\tKniha\n";
	for_each(books.begin(), books.end(), ShowReview);

	sort(books.begin(), books.end(), worseThan);
	cout << "Trideni dle hodnoceni:\nZnamka\tKniha\n";
	for_each(books.begin(), books.end(), ShowReview);

	random_shuffle(books.begin(), books.end());
	cout << "Po promichani:\nZnamka\tKniha\n";
	for_each(books.begin(), books.end(), ShowReview);

	return 0;
}

bool operator<(const Review & r1, const Review & r2)
{
	if (r1.title < r2.title)
		return true;
	else if (r1.title == r2.title && r1.rating < r2.rating)
		return true;
	else
		return false;
}

bool worseThan(const Review & r1, const Review & r2)
{
	if (r1.rating < r2.rating)
		return true;
	else
		return false;
}

bool FillReview(Review & rr)
{
	cout << "Zadejte nazev knihy (konec pro ukonceni): ";
	getline(cin,rr.title, '\n');
	if (rr.title == "konec")
		return false;
	cout << "Zadejte hodnoceni knihy: ";
	cin >> rr.rating;
	if (!cin)
		return false;
	cin.get();
	return true;
}

void ShowReview(const Review & rr)
{
	cout << rr.rating << "\t" << rr.title << endl;
}
