// iomanip.cpp - pouit manipultor z hlavikovho souboru iomanip
// nkter systmy vyaduj explicitn vazbu na matematickou knihovnu
#include <iostream>
using namespace std;
#include <iomanip>
#include <cmath>

int main()
{
	// pouit novch standardnch manipultor
	cout << showpoint << fixed << right;

	// pouit manipultor z iomanip
	cout << setw(6) << "Cislo" << setw(14) << "2. odmocnina"
		 << setw(15) << "4. odmocnina\n";

	double root;
	for (int n = 10; n <= 100; n += 10)
	{
		root = sqrt(n);
		cout << setw(6) << setfill('.') << n << setfill(' ')
			 << setw(12) << setprecision(3) << root
			 << setw(14) << setprecision(4) << sqrt(root)
			 << "\n";
	}

	return 0;
}
