// random.cpp -- pm pstup k binrnmu souboru
#include <iostream>		// vtina systm nepoaduje
using namespace std;
#include <fstream>
#include <iomanip>
#include <cstdlib>		// nebo stdlib.h kvli funkci exit()

struct planet
{
	char name[20];		// nzev planety
	double population;	// poet obyvatel
	double g;			// thov zrychlen
};

const char * file = "planets.dat";	// pedpokld existenci (pklad binary.cpp)
inline void eatline() { while (cin.get() != '\n') continue; }

int main()
{
	planet pl;
	cout << fixed;

// zobrazen potenho obsahu
	fstream finout;		// proudy pro ten a zpis
	finout.open(file,ios::in | ios::out |ios::binary);
	// Poznmka: V nkterch systmech UNIX je nutn vynechat | ios::binary
	int ct = 0;
	if (finout.is_open())
	{
		finout.seekg(0);	// jdi na zatek
		cout << "Soucasny obsah souboru "
			 << file << ":\n";
		while (finout.read((char *) &pl, sizeof pl))
		{
			cout << ct++ << ": " << setw(20) << pl.name << ": "
				 << setprecision(0) << setw(12) << pl.population
				 << setprecision(2) << setw(6) << pl.g << "\n";
		}
		if (finout.eof())
			finout.clear(); // vyist pznak konce souboru eof
		else
		{
			cerr << "Chyba pri cteni souboru " << file << ".\n";
			exit(1);
		}
	}
	else
	{
		cerr << "Soubor " << file << " se nepodarilo otevrit.\n";
		exit(2);
	}

// zmna zznamu
	cout << "Zadejte cislo zaznamu, ktery chcete zmenit: ";
	long rec;
	cin >> rec;
	eatline();				// zbav se znaku novho dku
	if (rec < 0 || rec >= ct)
	{
		cerr << "Neplatne cislo zaznamu\n";
		exit(3);
	}
	streampos place = rec * sizeof pl; // konverze na typ streampos
	finout.seekg(place); // pm pstup
	if (finout.fail())
	{
		cerr << "Chyba pri hledani zaznamu\n";
		exit(4);
	}
	finout.read((char *) &pl, sizeof pl);
	cout << "Pozadovany zaznam:\n";
	cout << rec << ": " << setw(20) << pl.name << ": "
		 << setprecision(0) << setw(12) << pl.population
		 << setprecision(2) << setw(6) << pl.g << "\n";
	if (finout.eof())
		finout.clear();		// vyist pznak konce souboru eof

	cout << "Zadejte nazev planety: ";
	cin.get(pl.name, 20);
	eatline();
	cout << "Zadejte pocet obyvatel planety: ";
	cin >> pl.population;
	cout << "Zadejte tihove zrychleni planety: ";
	cin >> pl.g;
	finout.seekp(place);	// nvrat
	finout.write((char *) &pl, sizeof pl) << flush;
	if (finout.fail())
	{
		cerr << "Chyba pri zapisu\n";
		exit(5);
	}

// zobrazen aktualizovanho souboru
	ct = 0;
	finout.seekg(0);	// jdi na zatek souboru
	cout << "Novy obsah souboru " << file << ":\n";
	while (finout.read((char *) &pl, sizeof pl))
	{
		cout << ct++ << ": " << setw(20) << pl.name << ": "
			 << setprecision(0) << setw(12) << pl.population
			 << setprecision(2) << setw(6) << pl.g << "\n";
	}
	finout.close();

	return 0;
}
