// arrfun3.cpp -- funkce pracujc s poli a kvalifiktor const
#include <iostream>
using namespace std;
const int Max = 5;
// prototypy funkc
int fill_array(double ar[], int limit);
void show_array(const double ar[], int n); // nemn data
void revalue(double r, double ar[], int n);

int main()
{
	double properties[Max];

	int size = fill_array(properties, Max);
	show_array(properties, size);
	cout << "Zadejte koeficient prehodnoceni: ";
	double factor;
	cin >> factor;
	revalue(factor, properties, size);
	show_array(properties, size);
	cout << "Hotovo.\n";
	return 0;
}

int fill_array(double ar[], int limit)
{
	double temp;
	int i;
	for (i = 0; i < limit; i++)
	{
		cout << "Zadejte hodnotu c." << (i + 1) << ": ";
		cin >> temp;
		if (!cin)		// neplatn vstup
		{
			cin.clear();
			while (cin.get() != '\n')
				continue;
			cout << "Neplatny vstup, zadavani ukonceno.\n";
			break;
		}
		else if (temp < 0)		// signl ukonen zadvn
			break;
		ar[i] = temp;
	}
	return i;
}

// nsledujc funkce me pouvat, ale ne mnit
// pole, jeho adresa je ar
void show_array(const double ar[], int n)
{
	for (int i = 0; i < n; i++)
	{
		cout << "Majetek c." << (i + 1) << ": ";
		cout << ar[i] << " Kc\n";
	}
}

// nsob kad prvek pole ar[] koeficientem r
void revalue(double r, double ar[], int n)
{
	for (int i = 0; i < n; i++)
		ar[i] *= r;
}
