#include <iostream>
using namespace std;

const int SLEN = 30;
struct student { 
	char fullname[SLEN];
	char hobby[SLEN];
	int ooplevel;
};
// getinfo() m dva argumenty: ukazatel na prvn prvek pole struktury
// student a int reprezentujc poet prvk pole.
// Funkce si vyd a ukld data o studentech.
// Ukon zadvn, kdy je pole pln
// nebo kdy naraz na przdn dek msto jmna studenta.
// Funkce vrac skuten poet naplnnch prvk pole.
int getinfo(student pa[], int n);

// display1() pijm jako argument strukturu student 
// a zobrazuje jej obsah
void display1(student st);

// display2() pijm jako argument adresu struktury student 
// a zobrazuje jej obsah
void display2(const student * ps);

// display3() pijm jako argumenty adresu prvnho prvku
// pole struktur student a poet prvk pole
// a zobrazuje obsah struktur
void display3(const student pa[], int n);

int main()
{ 
	cout << "Zadejte velikost tridy: ";
	int class_size;
	cin >> class_size;
	while (cin.get() != '\n')
		continue;

	student * ptr_stu = new student[class_size];
	int entered = getinfo(ptr_stu, class_size);
	for (int i = 0; i < entered; i++)
	{
		display1(ptr_stu[i]);
		display2(&ptr_stu[i]);
	}
	display3(ptr_stu, entered);
	delete [] ptr_stu;
	cout << "Hotovo\n";
	return 0;
}