// left.cpp -- etzcov funkce s implicitnm argumentem
#include <iostream>
using namespace std;
const int ArSize = 80;
char * left(const char * str, int n = 1);
int main()
{
	char sample[ArSize];
	cout << "Zadejte retezec:\n";
	cin.get(sample,ArSize);
	char *ps = left(sample, 4);
	cout << ps << "\n";
	delete [] ps; // uvolnn starho etzce
	ps = left(sample);
	cout << ps << "\n";
	delete [] ps; // uvolnn novho etzce
	return 0;
}

// Tato funkce vrac ukazatel na nov etzec, kter
// obsahuje prvnch n znak etzce str.
char * left(const char * str, int n)
{
	if(n < 0)
		n = 0;
	char * p = new char[n+1];
	int i;
	for (i = 0; i < n && str[i]; i++)
		p[i] = str[i]; // koprovn znak
	while (i <= n)
		p[i++] = '\0'; // zbytek se nastav na '\0'
	return p;
}
