// leftover.cpp -- peten funkce left()
#include <iostream>
using namespace std;
unsigned long left(unsigned long num, unsigned ct);
char * left(const char * str, int n = 1);

int main()
{
	char * trip = "Havaj!!!";	// testovac hodnota
	unsigned long n = 12345678;	// testovac hodnota
	int i;
	char * temp;

	for (i = 1; i < 10; i++)
	{
		cout << left(n, i) << "\n";
		temp = left(trip, i);
		cout << temp << "\n";
		delete [] temp;	// ukazuje na doasnou pam
	}

	return 0;
}

// Tato funkce vrac ct prvnch slic z sla num.
unsigned long left(unsigned long num, unsigned ct)
{
	unsigned digits = 1;
	unsigned long n = num;

	if (ct == 0 || num == 0)
		return 0;		// vrac 0, kdy nejsou slice
	while (n /= 10)
		digits++;
	if (digits > ct)
	{
		ct = digits - ct;
		while (ct--)
			num /= 10;
		return num;		// vrac ct slic zleva
	}
	else				// jestlie ct >= poet slic
		return num;		// vrac cel slo
}

// Tato funkce vrac ukazatel na etzec, kter obsahuje
// prvnch n znak v etzci str.
char * left(const char * str, int n)
{
	if (n < 0)
		n = 0;
	char * p = new char[n+1];
	int i;
	for (i = 0; i < n && str[i]; i++)
		p[i] = str[i];	// koprovn znak
	while (i <= n)
		p[i++] = '\0';	// nastav zbytek etzce na '\0'
	return p;
}