// stock1.cpp			// metody tdy Stock
#include <iostream>
#include <cstdlib>		// (nebo stdlib.h) pro exit()
#include <cstring>		// (nebo string.h) pro strncpy()
using namespace std;
#include "stock1.h"

// konstruktory
Stock::Stock()			// bezparametrick konstruktor
{
	strcpy(company, "spolecnost");
	shares = 0;
	share_val = 0.0;
	total_val = 0.0;
}

Stock::Stock(const char * co, int n, double pr)
{
	strncpy(company, co, 29);
	company[29] = '\0';
	shares = n;
	share_val = pr;
	set_tot();
}

// destruktor
Stock::~Stock() // upovdan destruktor tdy
{
	cout << "Nashledanou, " << company << "!\n";
}

//ostatn metody
void Stock::buy(int num, double price)
{
	shares += num;
	share_val = price;
	set_tot();
}
void Stock::sell(int num, double price)
{
	if (num > shares)
	{
		cerr << "Nemuzete prodat vic nez mate!\n";
		exit(1);
	}
	shares -= num;
	share_val = price;
	set_tot();
}

void Stock::update(double price)
{
	share_val = price;
	set_tot();
}
void Stock::show()
{
	cout << "Spolecnost: " << company
		 << " Pocet akcii: " << shares << '\n'
		 << " Cena akcie: " << share_val
		 << " Kc Celkova cena: " << total_val << " Kc\n";
}
