// stack.h -- definice tdy pro zsobnk ADT
#ifndef _STACK_H_
#define _STACK_H_
typedef unsigned long Item;

class Stack
{
private:
	enum {MAX = 10};		// specifick konstanta tdy
	Item items[MAX];		// msto pro uloen poloek
	int top;				// index poloky na vrcholu zsobnku
public:
	Stack();
	bool isempty() const;
	bool isfull() const;
	// push() vrac false, jestlie je zsobnk ji pln, jinak vrac true
	bool push(const Item & item);	// pid poloku do zsobnku
	// pop() vrac false, jestlie je zsobnk ji przdn, jinak vrac true
	bool pop(Item & item);	// odebere horn poloku ze zsobnku
};
#endif
