// stone.cpp - uivatelem definovan konverze
// peklad spolen se stonewt.cpp
#include <iostream>
using namespace std;
#include "stonewt.h"
void display(Stonewt st, int n);
int main()
{
	Stonewt pavarotti = 260;		// pouit konstruktoru k inicializaci
	Stonewt wolfe((double)285.7);	// stejn jako Stonewt wolfe = 285.7;
	Stonewt taft(21, 8);

	cout << "Tenor vazil ";
	pavarotti.show_stn();
	cout << "Detektiv vazil ";
	wolfe.show_stn();
	cout << "Prezident vazil ";
	taft.show_lbs();
	pavarotti = double(265.8);		// pouit konstruktoru ke konverzi
	taft = 325;						// stejn jako taft = Stonewt(325);
	cout << "Po veceri tenor vazil ";
	pavarotti.show_stn();
	cout << "Po veceri prezident vazil ";
	taft.show_lbs();
	display(taft, 2);
	cout << "Zapasnik vazil jeste vic.\n";
	display(422, 2);
	cout << "Zadny kamen nezbyl\n";
	return 0;
}

void display(Stonewt st, int n)
{
	for (int i = 0; i < n; i++)
	{
		cout << "Uf! ";
		st.show_stn();
	}
}
