// stonewt1.cpp -- metody tdy Stonewt + konverzn funkce
#include <iostream>
using namespace std;
#include "stonewt1.h"

// nsleduj pedchzejc definice

// vytvoen objektu Stonewt z hodnoty typu double
Stonewt::Stonewt(double lbs)
{
	stone = int (lbs) / Lbs_per_stn; // celoseln dlen
	pds_left = int (lbs) % Lbs_per_stn + lbs - int(lbs);
	pounds = lbs;
}

// vytvoen objektu Stonewt z hodnot stone, lbs
Stonewt::Stonewt(int stn, double lbs)
{
	stone = stn;
	pds_left = lbs;
	pounds = stn * Lbs_per_stn +lbs;
}

Stonewt::Stonewt() // implicitn konstruktor, wt = 0
{
	stone = pounds = pds_left = 0;
}

Stonewt::~Stonewt() // destruktor
{
}

// zobraz vhu v kamenech
void Stonewt::show_stn() const
{
	cout << stone << " kamenu, " << pds_left << " liber\n";
}

// zobraz vhu v librch
void Stonewt::show_lbs() const
{
	cout << pounds << " liber\n";
}

// konverzn funkce
Stonewt::operator int() const
{
	return int (pounds + 0.5);
}

Stonewt::operator double()const
{
	return pounds;
}
