// strng2.h -- definice tdy String
#ifndef _STRNG2_H_
#define _STRNG2_H_
#include <iostream>
using namespace std;
class String
{
private:
	char * str;					// ukazatel na etzec
	int len;					// dlka etzce
public:
	String(const char * s);		// konstruktor
	String();					// implicitn konstruktor
	String(const String & st);
	~String();					// destruktor
	int length() const { return len; }
// peten opertory
	String & operator=(const String & st); // opertor piazen
	String & operator=(const char * s); // opertor piazen . 2
// sptelen funkce
	friend bool operator>(const String &st1, const String &st2);
	friend bool operator<(const String &st, const String &st2);
	friend bool operator==(const String &st, const String &st2);
	friend ostream & operator<<(ostream & os, const String & st);
	friend istream & operator>>(istream & is, String & st);
};
#endif
