// arraydb.h -- tda pro pole
#ifndef _ARRAYDB_H_
#define _ARRAYDB_H_
#include <iostream>
using namespace std;

class ArrayDb
{
private:
	unsigned int size;					// poet prvk pole
	double * arr;						// adresa prvnho prvku
public:
	ArrayDb();							// bezparametrick konstruktor
	// pole ArrayDb s n prvky, s hodnotou val
	explicit ArrayDb(unsigned int n, double val = 0.0);
	// pole ArrayDb s n prvky, inicializovan polem pn
	ArrayDb(const double * pn, unsigned int n);
	ArrayDb(const ArrayDb & a);			// koprovac konstruktor
	virtual ~ArrayDb();					// destruktor
	unsigned int ArSize() const {return size;} // vrt velikost pole
	double Average() const;				// vrt prmr
// peten opertory
	virtual double & operator[](int i);	// indexovn pole
	virtual const double & operator[](int i) const; // indexovn pole
	ArrayDb & operator=(const ArrayDb & a);
	friend ostream & operator<<(ostream & os, const ArrayDb & a);
};
#endif
