// stacktp.h - ablona zsobnku

template <class Type>
class Stack
{
private:
	enum {MAX = 10};	// specifick konstanta tdy
	Type items[MAX];	// obsahuje poloky zsobnku
	int top;			// index vrchn poloky zsobnku
public:
	Stack();
	bool isempty();
	bool isfull();
	bool push(const Type & item);	// pid poloku do zsobnku
	bool pop(Type & item);			// odebere vrchn poloku
};

template <class Type>
Stack<Type>::Stack()
{
	top = 0;
}

template <class Type>
bool Stack<Type>::isempty()
{
	return top == 0;
}

template <class Type>
bool Stack<Type>::isfull()
{
	return top == MAX;
}

template <class Type>
bool Stack<Type>::push(const Type & item)
{
	if (top < MAX)
	{
		items[top++] = item;
		return true;
	}
	else
		return false;
}

template <class Type>
bool Stack<Type>::pop(Type & item)
{
	if (top > 0)
	{
		item = items[--top];
		return true;
	}
	else
		return false;
}
