// worker.cpp -- metody td pracovnk
#include "worker.h"
#include <iostream>
using namespace std;
// metody tdy Worker

// mus implementovat destruktor, i kdy je ist virtuln
Worker::~Worker() {}

void Worker::Set()
{
	cout << "Zadejte jmeno pracovnika: ";
	cin >> fullname;
	cout << "Zadejte ID pracovnika: ";
	cin >> id;
	while (cin.get() != '\n')
		continue;
}
void Worker::Show() const
{
	cout << "Jmeno: " << fullname << "\n";
	cout << "ID pracovnika: " << id << "\n";
}

// metody tdy Waiter
void Waiter::Set()
{
	Worker::Set();
	cout << "Zadejte rating mrstnosti cisnika: ";
	cin >> panache;
	while (cin.get() != '\n')
		continue;
}

void Waiter::Show() const
{
	cout << "Kategorie: cisnik\n";
	Worker::Show();
	cout << "Rating mrstnosti: " << panache << "\n";
}

// metody tdy Singer
char * Singer::pv[] = {"jiny", "alt", "kontralt",
			"sopran", "bas", "bariton", "tenor"};
void Singer::Set()
{
	Worker::Set();
	cout << "Zadejte cislo urcujici rozsah vokalu zpevaka:\n";
	int i;
	for (i = 0; i < Vtypes; i++)
	{
		cout << i << ": " << pv[i] << " ";
		if ( i % 4 == 3)
			cout << '\n';
	}
	if (i % 4 != 0)
		cout << '\n';
	cin >> voice;
	while (cin.get() != '\n')
		continue;
}

void Singer::Show() const
{
	cout << "Kategorie: zpevak\n";
	Worker::Show();
	cout << "Rozsah vokalu: " << pv[voice] << "\n";
}

// metody tdy Greeter
void Greeter::Set()
{
	Worker::Set();
	cout << "Zadejte rating zdravicova veseli: ";
	cin >> cheer;
	while (cin.get() != '\n')
		continue;
}
void Greeter::Show() const
{
	cout << "Kategorie: zdravic\n";
	Worker::Show();
	cout << "Rating veseli: " << cheer << "\n";
}
