// workermi.cpp -- metody tdy Worker pro vcensobnou ddinost
#include "workermi.h"
#include <iostream>
using namespace std;
// metody tdy Worker
Worker::~Worker() { }

// chrnn metody
void Worker::Data() const
{
	cout << "Jmeno: " << fullname << "\n";
	cout << "ID pracovnika: " << id << "\n";
}

void Worker::Get()
{
	cin >> fullname;
	cout << "Zadejte ID pracovnika: ";
	cin >> id;
	while (cin.get() != '\n')
		continue;
}

// metody tdy Waiter
void Waiter::Set()
{
	cout << "Zadejte jmeno cisnika: ";
	Worker::Get();
	Get();
}

void Waiter::Show() const
{
	cout << "Kategorie: cisnik\n";
	Worker::Data();
	Data();
}

// chrnn metody
void Waiter::Data() const
{
	cout << "Rating mrstnosti: " << panache << "\n";
}

void Waiter::Get()
{
	cout << "Zadejte rating mrstnosti cisnika: ";
	cin >> panache;
	while (cin.get() != '\n')
		continue;
}

// metody tdy Singer

char * Singer::pv[Singer::Vtypes] = {"jiny", "alt", "kontralt",
			"sopran", "bas", "bariton", "tenor"};

void Singer::Set()
{
	cout << "Zadejte jmeno zpevaka: ";
	Worker::Get();
	Get();
}

void Singer::Show() const
{
	cout << "Kategorie: zpevak\n";
	Worker::Data();
	Data();
}

// chrnn metody
void Singer::Data() const
{
	cout << "Rozsah vokalu: " << pv[voice] << "\n";
}

void Singer::Get()
{
	cout << "Zadejte cislo udavajici rozsah vokalu zpevaka:\n";
	int i;
	for (i = 0; i < Vtypes; i++)
	{
		cout << i << ": " << pv[i] << " ";
		if ( i % 4 == 3)
			cout << '\n';
	}
	if (i % 4 != 0)
		cout << '\n';
	cin >> voice;
	while (cin.get() != '\n')
		continue;
}

// metody tdy SingingWaiter
void SingingWaiter::Data() const
{
	Singer::Data();
	Waiter::Data();
}

void SingingWaiter::Get()
{
	Waiter::Get();
	Singer::Get();
}

void SingingWaiter::Set()
{
	cout << "Zadejte jmeno zpivajiciho cisnika: ";
	Worker::Get();
	Get();
}

void SingingWaiter::Show() const
{
	cout << "Kategorie: zpivajici cisnik\n";
	Worker::Data();
	Data();
}
