// excptinh.cpp -- pouit td ArrayDbE a LimitArE
// zkompilovat spolen s arraydbe.cpp, limarre.h
#include <iostream>
using namespace std;
#include "arraydbe.h"
#include "limarre.h"
const int Years = 4;
const int FirstYear = 1998;
int main()
{
	int year;
	double total = 0;
	try {
		LimitArE income(Years, FirstYear);
		ArrayDbE busywork(Years);
		cout << "Zadejte prijem za posledni " << Years
			 << " roky v Kc:\n";
		for (year = FirstYear; year < FirstYear + Years; year++)
		{
			cout << "Rok " << year << ": ";
			cin >> income[year];
			busywork[year - FirstYear] = 0.2 * income[year];
		}
		cout.precision(2);
		cout.setf(ios_base::showpoint);
		cout.setf(ios_base::fixed,ios_base::floatfield);
		cout << "Rekapitulace udaju:\n";
		for (year = FirstYear; year <= FirstYear + Years; year++)
		{
			cout << year << ": " << income[year] << " Kc\n";
			total += income[year];
		}
		cout << "hodnoty zaneprazdneni: " << busywork;
	} // konec pokusnho bloku
	catch (LimitArE::SonOfBad & bi) // prvn handler
	{
		cout << "LimitArE vyjimka: "
			 << bi.badindex << " je neplatna hodnota indexu.\n";
		cout << "Index musi byt v rozsahu od " << bi.l_lim
			 << " do " << bi.u_lim << ".\n";
	}
	catch (LimitArE::BadIndex & bi) // druh handler
	{
		cout << "ArrayDbE vyjimka: "
			 << bi.badindex << "je neplatna hodnota indexu.\n";
	}

	cout << "Celkovy prijem za " << (year - FirstYear)
		 << " roky je " << total << " Kc.\n";
	cout << "Nashledanou!\n";
	return 0;
}
