// vect2.cpp -- metody a itertory
#include <iostream>
#include <string>
#include <vector>
using namespace std;

struct Review {
	string title;
	int rating;
};

bool FillReview(Review & rr);
void ShowReview(const Review & rr);

int main()
{
	vector<Review> books;
	Review temp;
	while (FillReview(temp))
		books.push_back(temp);
	cout << "Dekuji. Zadali jste nasledujici knihy:\n"
		 << "Znamka\tKniha\n";
	int num = books.size();
	for (int i = 0; i < num; i++)
		ShowReview(books[i]);
	cout << "Opakovani zadanych knih:\n"
		 << "Znamka\tKniha\n";
	vector<Review>::iterator pr;
	for (pr = books.begin(); pr != books.end(); pr++)
		ShowReview(*pr);
	vector <Review> oldlist(books);			// pouije koprovac konstruktor
	if (num > 3)
	{
		// odstran 2 poloky
		books.erase(books.begin() + 1, books.begin() + 3);
		cout << "Seznam knih po vymazani:\n";
		for (pr = books.begin(); pr != books.end(); pr++)
			ShowReview(*pr);
		// vlo 1 poloku
		books.insert(books.begin(), oldlist.begin() + 1,
					 oldlist.begin()+2);
		cout << "Seznam knih po vlozeni:\n";
		for (pr = books.begin(); pr != books.end(); pr++)
			ShowReview(*pr);
	}
	books.swap(oldlist);
	cout << "Puvodni seznam knih:\n";
	for (pr = books.begin(); pr != books.end(); pr++)
		ShowReview(*pr);
	return 0;
}

bool FillReview(Review & rr)
{
	cout << "Zadejte nazev knihy (konec pro ukonceni): ";
	getline(cin,rr.title);
	if (rr.title == "konec")
		return false;
	cout << "Zadejte hodnoceni knihy: ";
	cin >> rr.rating;
	if (!cin)
		return false;
	cin.get();
	return true;
}

void ShowReview(const Review & rr)
{
	cout << rr.rating << "\t" << rr.title << endl;
}
