// copy.cpp -- funkce copy() a itertory
#include <iostream>
#include <iterator>
#include <vector>
using namespace std;

int main()
{
	int casts[10] = {6, 7, 2, 9, 4, 11, 8, 7, 10, 5};
	vector<int> dice(10);
	// koprovn z pole do vektoru
	copy(casts, casts + 10, dice.begin());
	cout << "Hodte kostky!\n";
	// vytvo itertor pro vstupn proud
	ostream_iterator<int, char> out_iter(cout, " ");
	// koprovn z vektoru do vstupnho proudu
	copy(dice.begin(), dice.end(), out_iter);
	cout << endl;
	cout <<"Implicitni pouziti inverzniho iteratoru.\n";
	copy(dice.rbegin(), dice.rend(), out_iter);
	cout << endl;
	cout <<"Explicitni pouziti inverzniho iteratoru.\n";
	vector<int>::reverse_iterator ri;
	for (ri = dice.rbegin(); ri != dice.rend(); ++ri)
		cout << *ri << ' ';
	cout << endl;
	return 0;
}
