// append.cpp -- pidn informac do souboru
#include <iostream>
using namespace std;
#include <fstream>
#include <cstdlib>		// (nebo stdlib.h) kvli funkci exit()

const char * file = "guests.dat";
const int Len = 40;
int main()
{
	char ch;

	// zobraz aktuln obsah
	ifstream fin;
	fin.open(file);

	if (fin.is_open())
	{
		cout << "Tady je aktualni obsah souboru "
			 << file << ":\n";
		while (fin.get(ch))
			cout << ch;
	}
	fin.close();

// pidn novch jmen
	ofstream fout(file, ios::out | ios::app);
	if (!fout.is_open())
	{
		cerr << "Soubor " << file << " nelze otevrit pro vystup.\n";
		exit(1);
	}

	cout << "Zadavejte jmena hostu (prazdny radek pro ukonceni):\n";
	char name[Len];
	cin.get(name, Len);
	while (name[0] != '\0')
	{
		while (cin.get() != '\n')
			continue;	// odstran \n a dlouh dky
		fout << name << "\n";
		cin.get(name, Len);
	}
	fout.close();

// zobrazen aktualizovanho souboru
	fin.clear();	// pro nkter kompiltory nen nutn
	fin.open(file);
	if (fin.is_open())
	{
		cout << "Tady je aktualizovany obsah souboru "
			 << file << ":\n";
		while (fin.get(ch))
			cout << ch;
	}
	fin.close();

	return 0;
}