#include <iostream>		// vtina systm nepoaduje
using namespace std;
#include <fstream>
#include <iomanip>
#include <cstdlib>		// (nebo stdlib.h) kvli funkci exit()

inline void eatline() { while (cin.get() != '\n') continue; }
struct planet
{
	char name[20];		// nzev planety
	double population;	// poet obyvatel
	double g;			// thov zrychlen
};

const char * file = "planets.dat";

int main()
{
	planet pl;
	cout << fixed << right;

// zobrazen potenho obsahu
	ifstream fin;
	fin.open(file, ios::in |ios::binary);	// binrn soubor
	// Poznmka: nkter systmy neakceptuj reim ios::binary
	if (fin.is_open())
	{
		cout << "Soucasny obsah souboru "
			 << file << ":\n";
		while (fin.read((char *) &pl, sizeof pl))
		{
			cout << setw(20) << pl.name << ": "
				 << setprecision(0) << setw(12) << pl.population
				 << setprecision(2) << setw(6) << pl.g << "\n";
		}
	}
	fin.close();

// pidn novch daj
	ofstream fout(file, ios::out | ios::app | ios::binary);
	//Poznmka: nkter systmy neakceptuj reim ios::binary
	if (!fout.is_open())
	{
		cerr << "Soubor " << file << " nelze otevrit pro vystup:\n";
		exit(1);
	}

	cout << "Zadejte nazev planety (prazdny radek pro ukonceni):\n";
	cin.get(pl.name, 20);
	while (pl.name[0] != '\0')
	{
		eatline();
		cout << "Zadejte pocet obyvatel planety: ";
		cin >> pl.population;
		cout << "Zadejte tihove zrychleni planety: ";
		cin >> pl.g;
		eatline();
		fout.write((char *) &pl, sizeof pl);
		cout << "Zadejte nazev planety (prazdny radek pro ukonceni):\n";
		cin.get(pl.name, 20);
	}
	fout.close();

// zobrazen aktualizovanho souboru
	fin.clear(); // nkter implementace nevyaduj
	fin.open(file, ios::in | ios::binary);
	if (fin.is_open())
	{
		cout << "Novy obsah souboru "
			 << file << ":\n";
		while (fin.read((char *) &pl, sizeof pl))
		{
			cout << setw(20) << pl.name << ": "
				 << setprecision(0) << setw(12) << pl.population
				 << setprecision(2) << setw(6) << pl.g << "\n";
		}
	}
	fin.close();

	return 0;
}
